import { defineStore } from 'pinia'
import { ref } from '@vue/reactivity'
import { AuthToken } from '../auth'

export const useTokenStore = defineStore('token', () => {
  // 用户状态
  const token = ref<AuthToken>()

  const setToken = (t: AuthToken) => {
    token.value = t
  }

  const getToken = () => {
    return token.value
  }

  // 删除Token信息的函数
  const delToken = () => {
    token.value = undefined
  }
  return { token, setToken, getToken, delToken }
})
