import { defineStore } from 'pinia'
import { Tenant, User } from '../common'
import { ref } from '@vue/reactivity'

export const useUserStore = defineStore('user', () => {
  // 用户状态
  const user = ref<User<number>>()

  const setUser = (u: User<number>) => {
    user.value = u
  }

  const getUser = () => {
    return user.value
  }

  // 删除用户信息的函数
  const delUser = () => {
    user.value = undefined
  }

  const tenant = ref<Tenant>()
  const setTenant = (t: Tenant) => {
    tenant.value = t
  }

  const getTenant = () => {
    return tenant.value
  }

  const delTenant = () => {
    tenant.value = undefined
  }

  return { user, setUser, getUser, delUser, tenant, setTenant, getTenant, delTenant }
})
